### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tabs/ecl-tabs.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-tabs`
templateUrl | `./ecl-tabs.component.html`

### Index

###### Properties
tabs
###### Methods
getCssClasses
###### Inputs
bodyClass class e2eAttr
###### Outputs
tabSelect

### Constructor

`constructor(differs: IterableDiffers, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No
cd | `ChangeDetectorRef` | No

### Inputs

bodyClass
Type : `string`
Default value : `'ecl-u-mt-s'`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

tabSelect
Type : `EventEmitter`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

tabs
Type : `QueryList<EclTabComponent>`
Decorators : `@ContentChildren(undefined)`

# results matching ""

# No results matching ""